Package org.apache.sysds.runtime.compress.lib

## Class CLALibCompAgg

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibCompAgg

    public class CLALibCompAgg
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `aggregateUnary​(CompressedMatrixBlock inputMatrix, MatrixBlock result, AggregateUnaryOperator op, int blen, MatrixIndexes indexesIn, boolean inCP)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### aggregateUnary

    public static MatrixBlock aggregateUnary​(CompressedMatrixBlock inputMatrix,
                                             MatrixBlock result,
                                             AggregateUnaryOperator op,
                                             int blen,
                                             MatrixIndexes indexesIn,
                                             boolean inCP)